include:
- local: 'root.yml'
- local: 'generic-checks.yml'

.maven:
  image: registry.gitlab.com/partisia/dockerimages/maven-jdk17:latest
  variables:
    MAVEN_CLI_OPTS: "-U -s /ci_settings.xml --batch-mode"
    MAVEN_OPTS: -Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository
  rules: !reference [.rules, on-mr]
  before_script:
  - cd "$MAVEN_WORK_DIR" || exit
  - shopt -s expand_aliases
  - alias mvn="mvn \$MAVEN_CLI_OPTS"
  needs:
  - job: before-java
    optional: true
